Index: trunk/Poubelle/archTOI.old/tokenizer.cc
===================================================================
--- trunk/Poubelle/archTOI.old/tokenizer.cc	(revision 534)
+++ trunk/Poubelle/archTOI.old/tokenizer.cc	(revision 534)
@@ -0,0 +1,35 @@
+// tokenizer.cc
+// Eric Aubourg         CEA/DAPNIA/SPP   septembre 1999
+
+#include "tokenizer.h"
+
+
+Tokenizer::Tokenizer(string str) 
+: s(str)
+{
+  while (str != "") {
+    size_t x = str.find_first_not_of(' ');
+    if (x != string::npos) 
+      str = str.substr(x);
+    if (str == "") break;
+    x = str.find(' ');
+    if (x != string::npos) {
+      string token = str.substr(0, x);
+      str = str.substr(x+1);
+      tokens.push_back(token);
+    } else {
+      tokens.push_back(str);
+      break;
+    }
+  }
+}
+
+set<string> Tokenizer::getTokenSet() {
+  return set<string>(tokens.begin(), tokens.end());
+}
+
+vector<string> Tokenizer::getTokenVector() {
+  return tokens;
+}
+
+
Index: trunk/Poubelle/archTOI.old/tokenizer.h
===================================================================
--- trunk/Poubelle/archTOI.old/tokenizer.h	(revision 534)
+++ trunk/Poubelle/archTOI.old/tokenizer.h	(revision 534)
@@ -0,0 +1,26 @@
+// tokenizer.h
+// Eric Aubourg         CEA/DAPNIA/SPP   septembre 1999
+
+#ifndef TOKENIZER_H
+#define TOKENIZER_H
+
+#include <string>
+#include <set>
+#include <vector>
+
+using namespace std;
+
+class Tokenizer {
+public:
+  Tokenizer(string str);
+  
+  set<string> getTokenSet();
+  vector<string> getTokenVector();
+
+protected:
+  string s;
+  vector<string> tokens;
+};
+
+#endif
+
Index: trunk/Poubelle/archTOI.old/transfelec.cc
===================================================================
--- trunk/Poubelle/archTOI.old/transfelec.cc	(revision 533)
+++ trunk/Poubelle/archTOI.old/transfelec.cc	(revision 534)
@@ -1,4 +1,5 @@
 #include "transfelec.h"
 
+// D. Yvon, CE Saclay, DAPNIA/SPP, 08/99
 
 // Parametres du circuit electrique de lecture SST
Index: trunk/Poubelle/archTOI.old/transfelec.h
===================================================================
--- trunk/Poubelle/archTOI.old/transfelec.h	(revision 533)
+++ trunk/Poubelle/archTOI.old/transfelec.h	(revision 534)
@@ -3,4 +3,7 @@
 
 //#include <math.h>
+
+// D. Yvon, CE Saclay, DAPNIA/SPP, 08/99
+
 
 #ifdef __MWERKS__
Index: trunk/Poubelle/archTOI.old/tsidproducer.cc
===================================================================
--- trunk/Poubelle/archTOI.old/tsidproducer.cc	(revision 534)
+++ trunk/Poubelle/archTOI.old/tsidproducer.cc	(revision 534)
@@ -0,0 +1,47 @@
+// tsidproducer.cc
+// Eric Aubourg         CEA/DAPNIA/SPP   octobre 1999
+
+#include "tsidproducer.h"
+#include "archexc.h"
+#include "requesthandler.h"
+#include "tsid.h"
+#include "archparam.h"
+
+#define tsid "tsid"
+
+static TSid myTS;
+
+TSidProducer::TSidProducer() {
+  possibleTOIs.insert(TOI(tsid, TOI::unspec, "", "seconds"));  
+}
+
+string TSidProducer::getName() {
+  return("TSidProducer 1.0");
+}
+
+
+double TSidProducer::getValue(long sampleNum, TOI const& toi) {
+  map<TOI, TOIProducer*> m = neededTOIs[toi];
+  // Seulement longitude... 
+  TOI longTOI = (*m.begin()).first;
+  TOIProducer* longProd =  (*m.begin()).second;
+  myTS.setLongitude(longProd->getValue(sampleNum, longTOI));
+  return myTS.getLST(archParam.acq.SN2MJD(sampleNum));
+  
+}
+
+
+set<TOI> TSidProducer::reqTOIFor(TOI const& toi) {
+  set<TOI> t; 
+  if (toi.name == tsid) {
+    t.insert(TOI("longitude", TOI::unspec, "interp"));
+  } else {
+    throw ArchExc("Cannot produce "+toi.name);
+  }
+  return t;
+}
+
+
+
+
+
Index: trunk/Poubelle/archTOI.old/tsidproducer.h
===================================================================
--- trunk/Poubelle/archTOI.old/tsidproducer.h	(revision 534)
+++ trunk/Poubelle/archTOI.old/tsidproducer.h	(revision 534)
@@ -0,0 +1,20 @@
+// tsidproducer.h
+// Eric Aubourg         CEA/DAPNIA/SPP   octobre 1999
+
+#ifndef TSIDPRODUCER_H
+#define TSIDPRODUCER_H
+
+#include "toipullproducer.h"
+
+class TSidProducer : public TOIPullProducer {
+public:
+  TSidProducer();
+  virtual string getName();
+  virtual double getValue(long sampleNum, TOI const& toi);
+
+protected:
+  virtual set<TOI>     reqTOIFor(TOI const&);
+};
+
+
+#endif
